`POST /v1/auth/magic-link/verify`.
POST
/v1/auth/magic-link/verify
const url = 'https://api.updawg.net/v1/auth/magic-link/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.updawg.net/v1/auth/magic-link/verify \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
token
required
string
Examplegenerated
{ "token": "example"}Responses
Section titled “Responses”Signed in. Sets the session cookie.
Media typeapplication/json
object
csrf_token
required
The token every mutation echoes in X-Updawg-Csrf.
string
Examplegenerated
{ "csrf_token": "example"}A body that is not {"token": …} (DAWG-246).
Media typeapplication/json
object
detail
string | null
status
required
integer format: int32
title
required
string
type
required
string
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}The token is unknown, used or expired — one answer for all three, because the caller’s next move is the same as if they had never signed in.
Media typeapplication/json
object
detail
string | null
status
required
integer format: int32
title
required
string
type
required
string
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}The address’s organization requires single sign-on: sso-required (DAWG-155).
Media typeapplication/json
object
detail
string | null
status
required
integer format: int32
title
required
string
type
required
string
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}